package com.fzm.mall.server.admin.home_page.enums.status;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wangp
 * @date 2021/3/2 16:07
 * @description 商户注册状态
 * @since JDK 1.8
 */
public enum MerchantRegisterEnum {

    NORMAL(0),//正常
    LOCKING(1),//锁定
    WAIT_IMPROVE(2),//待完善
    EXAMINE(3),//审核中
    EXAMINE_FAIL(4),//审核失败
    WAIT_PAY(5),//待缴费
    PAY_FAIL(6),//缴费失败
    WAIT_SET_PWD(7);//带设置密码

    private Integer status;

    MerchantRegisterEnum(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public static List<Integer> getLockValueList() {
        List<Integer> lockList = new ArrayList<>();
        lockList.add(NORMAL.getStatus());
        lockList.add(LOCKING.getStatus());
        return lockList;
    }

    public static List<Integer> getCheckValueList() {
        List<Integer> checkList = new ArrayList<>();
        checkList.add(EXAMINE_FAIL.getStatus());
        checkList.add(WAIT_PAY.getStatus());
        return checkList;
    }

    public static List<Integer> getExistValueList() {
        List<Integer> existList = new ArrayList<>();
        existList.add(EXAMINE_FAIL.getStatus());
        existList.add(PAY_FAIL.getStatus());
        return existList;
    }

}
